# Uses of Class
org.eclipse.jdt.core.dom.StringTemplateExpression

Packages that use StringTemplateExpression
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of StringTemplateExpression in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return StringTemplateExpression
Modifier and Type
Method
Description
`StringTemplateExpression`
AST.`newStringTemplateExpression()`
Creates and returns a new unparented string template expression node for the empty string template expression.
Methods in org.eclipse.jdt.core.dom with parameters of type StringTemplateExpression
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(StringTemplateExpression node)`
`boolean`
ASTMatcher.`match(StringTemplateExpression node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(StringTemplateExpression node)`
Visits the given type-specific AST node.